<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('annotated.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the classes, structs, unions and interfaces with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair.html" target="_self">flair</a></td><td class="desc">Namespace of the flair Framework </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1actuator.html" target="_self">actuator</a></td><td class="desc">Actuator classes </td></tr>
<tr id="row_0_0_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_afro_bldc.html" target="_self">AfroBldc</a></td><td class="desc">Class for Mikrokopter's blctrlv2 </td></tr>
<tr id="row_0_0_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_bl_ctrl_v2.html" target="_self">BlCtrlV2</a></td><td class="desc">Class for Mikrokopter's blctrlv2 </td></tr>
<tr id="row_0_0_2_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html" target="_self">BlCtrlV2_x4_speed</a></td><td class="desc"></td></tr>
<tr id="row_0_0_3_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_bldc.html" target="_self">Bldc</a></td><td class="desc">Base class for brushless motors drivers </td></tr>
<tr id="row_0_0_4_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html" target="_self">SimuBldc</a></td><td class="desc">Class for a simulation bldc </td></tr>
<tr id="row_0_0_5_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_simulated_bldc.html" target="_self">SimulatedBldc</a></td><td class="desc">Class for a simulation bldc </td></tr>
<tr id="row_0_0_6_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1actuator_1_1_x_bldc.html" target="_self">XBldc</a></td><td class="desc">Class for Xufo <a class="el" href="classflair_1_1actuator_1_1_bldc.html" title="Base class for brushless motors drivers. ">Bldc</a> </td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_1_" class="arrow" onclick="toggleFolder('0_1_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1core.html" target="_self">core</a></td><td class="desc">Core classes </td></tr>
<tr id="row_0_1_0_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_0_" class="arrow" onclick="toggleFolder('0_1_0_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_ahrs_data.html" target="_self">AhrsData</a></td><td class="desc">Class defining AHRS datas </td></tr>
<tr id="row_0_1_0_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html" target="_self">Type</a></td><td class="desc"></td></tr>
<tr id="row_0_1_1_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_condition_variable.html" target="_self">ConditionVariable</a></td><td class="desc">Class defining a condition variable </td></tr>
<tr id="row_0_1_2_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_connected_socket.html" target="_self">ConnectedSocket</a></td><td class="desc">Interface class encapsulating a connected socket. Preserves packets order and guaranty delivery </td></tr>
<tr id="row_0_1_3_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_3_" class="arrow" onclick="toggleFolder('0_1_3_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvimage.html" target="_self">cvimage</a></td><td class="desc">Class defining an image of kind IplImage </td></tr>
<tr id="row_0_1_3_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html" target="_self">Type</a></td><td class="desc"></td></tr>
<tr id="row_0_1_4_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_4_" class="arrow" onclick="toggleFolder('0_1_4_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvmatrix.html" target="_self">cvmatrix</a></td><td class="desc">Class defining a matrix of kind CvMat </td></tr>
<tr id="row_0_1_4_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvmatrix_1_1_type.html" target="_self">Type</a></td><td class="desc"></td></tr>
<tr id="row_0_1_5_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html" target="_self">cvmatrix_descriptor</a></td><td class="desc">Class describing cvmatrix elements, for log and graphs purpose </td></tr>
<tr id="row_0_1_6_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_data_type.html" target="_self">DataType</a></td><td class="desc"></td></tr>
<tr id="row_0_1_7_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_double_type.html" target="_self">DoubleType</a></td><td class="desc"></td></tr>
<tr id="row_0_1_8_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_dummy_type.html" target="_self">DummyType</a></td><td class="desc"></td></tr>
<tr id="row_0_1_9_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_euler.html" target="_self">Euler</a></td><td class="desc">Class defining euler angles </td></tr>
<tr id="row_0_1_10_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_float_type.html" target="_self">FloatType</a></td><td class="desc"></td></tr>
<tr id="row_0_1_11_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_framework_manager.html" target="_self">FrameworkManager</a></td><td class="desc">Main class of the Framework library </td></tr>
<tr id="row_0_1_12_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_12_" class="arrow" onclick="toggleFolder('0_1_12_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_geo_coordinate.html" target="_self">GeoCoordinate</a></td><td class="desc">Class defining a point by its lla coordinates </td></tr>
<tr id="row_0_1_12_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_geo_coordinate_1_1_type.html" target="_self">Type</a></td><td class="desc"></td></tr>
<tr id="row_0_1_13_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_13_" class="arrow" onclick="toggleFolder('0_1_13_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_gps_data.html" target="_self">GpsData</a></td><td class="desc">Class defining gps datas </td></tr>
<tr id="row_0_1_13_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_gps_data_1_1_type.html" target="_self">Type</a></td><td class="desc"></td></tr>
<tr id="row_0_1_14_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_i2c_port.html" target="_self">I2cPort</a></td><td class="desc">Base class for i2c port </td></tr>
<tr id="row_0_1_15_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_15_" class="arrow" onclick="toggleFolder('0_1_15_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_imu_data.html" target="_self">ImuData</a></td><td class="desc">Class defining IMU datas </td></tr>
<tr id="row_0_1_15_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_imu_data_1_1_type.html" target="_self">Type</a></td><td class="desc"></td></tr>
<tr id="row_0_1_16_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1io__data.html" target="_self">io_data</a></td><td class="desc">Abstract class for data types </td></tr>
<tr id="row_0_1_17_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html" target="_self">IODataElement</a></td><td class="desc">Abstract class for accessing an element of an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> </td></tr>
<tr id="row_0_1_18_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_i_o_device.html" target="_self">IODevice</a></td><td class="desc">Abstract class for input/ouput system </td></tr>
<tr id="row_0_1_19_" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_1_19_" class="arrow" onclick="toggleFolder('0_1_19_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_matrix.html" target="_self">Matrix</a></td><td class="desc">Class defining a matrix </td></tr>
<tr id="row_0_1_19_0_" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_matrix_1_1_type.html" target="_self">Type</a></td><td class="desc"></td></tr>
<tr id="row_0_1_20_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_message.html" target="_self">Message</a></td><td class="desc"></td></tr>
<tr id="row_0_1_21_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_mutex.html" target="_self">Mutex</a></td><td class="desc">Class defining a mutex </td></tr>
<tr id="row_0_1_22_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_object.html" target="_self">Object</a></td><td class="desc">Base class for all Framework's classes </td></tr>
<tr id="row_0_1_23_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_one_axis_rotation.html" target="_self">OneAxisRotation</a></td><td class="desc">Class defining a rotation around one axis </td></tr>
<tr id="row_0_1_24_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_quaternion.html" target="_self">Quaternion</a></td><td class="desc">Class defining a quaternion </td></tr>
<tr id="row_0_1_25_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_rotation_matrix.html" target="_self">RotationMatrix</a></td><td class="desc">Class defining a rotation matrix </td></tr>
<tr id="row_0_1_26_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html" target="_self">RTDM_I2cPort</a></td><td class="desc">Class for real time i2c port using RTDM </td></tr>
<tr id="row_0_1_27_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html" target="_self">RTDM_SerialPort</a></td><td class="desc">Class for real time serial port using RTDM </td></tr>
<tr id="row_0_1_28_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_scalar_type.html" target="_self">ScalarType</a></td><td class="desc"></td></tr>
<tr id="row_0_1_29_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_semaphore.html" target="_self">Semaphore</a></td><td class="desc">Class defining a semaphore </td></tr>
<tr id="row_0_1_30_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_serial_port.html" target="_self">SerialPort</a></td><td class="desc">Base class for serial port </td></tr>
<tr id="row_0_1_31_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_shared_mem.html" target="_self">SharedMem</a></td><td class="desc">Class defining a shared memory </td></tr>
<tr id="row_0_1_32_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_signed_integer_type.html" target="_self">SignedIntegerType</a></td><td class="desc"></td></tr>
<tr id="row_0_1_33_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_tcp_socket.html" target="_self">TcpSocket</a></td><td class="desc">Class encapsulating a TCP socket </td></tr>
<tr id="row_0_1_34_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_thread.html" target="_self">Thread</a></td><td class="desc">Abstract class for a thread </td></tr>
<tr id="row_0_1_35_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_udp_socket.html" target="_self">UdpSocket</a></td><td class="desc">Class encapsulating a UDP socket. It assumes packets are coming from only one distant host on a given port </td></tr>
<tr id="row_0_1_36_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_udt_socket.html" target="_self">UdtSocket</a></td><td class="desc">Class encapsulating a UDT socket </td></tr>
<tr id="row_0_1_37_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html" target="_self">Unix_I2cPort</a></td><td class="desc">Class for unix serial port </td></tr>
<tr id="row_0_1_38_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_unix___serial_port.html" target="_self">Unix_SerialPort</a></td><td class="desc"></td></tr>
<tr id="row_0_1_39_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_unsigned_integer_type.html" target="_self">UnsignedIntegerType</a></td><td class="desc"></td></tr>
<tr id="row_0_1_40_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector2_d.html" target="_self">Vector2D</a></td><td class="desc">Class defining a 2D vector </td></tr>
<tr id="row_0_1_41_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector3_d.html" target="_self">Vector3D</a></td><td class="desc">Class defining a 3D vector </td></tr>
<tr id="row_0_1_42_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_vector3_ddata.html" target="_self">Vector3Ddata</a></td><td class="desc">Class defining a 3D vector and a <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> User must manually use the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a>'s <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> to access to <a class="el" href="classflair_1_1core_1_1_vector3_d.html" title="Class defining a 3D vector. ">Vector3D</a> values </td></tr>
<tr id="row_0_1_43_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1core_1_1_watchdog.html" target="_self">Watchdog</a></td><td class="desc"><a class="el" href="classflair_1_1core_1_1_watchdog.html" title="Watchdog class. ">Watchdog</a> class </td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_2_" class="arrow" onclick="toggleFolder('0_2_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1filter.html" target="_self">filter</a></td><td class="desc">Filter classes </td></tr>
<tr id="row_0_2_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_ahrs.html" target="_self">Ahrs</a></td><td class="desc">Abstract class for AHRS </td></tr>
<tr id="row_0_2_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_ahrs_complementary_filter.html" target="_self">AhrsComplementaryFilter</a></td><td class="desc">Class defining an <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a> complementary filter </td></tr>
<tr id="row_0_2_2_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_ahrs_kalman.html" target="_self">AhrsKalman</a></td><td class="desc">Class defining an <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a> Kalman filter </td></tr>
<tr id="row_0_2_3_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_butterworth_low_pass.html" target="_self">ButterworthLowPass</a></td><td class="desc">Class defining a Butterworth low pass filter </td></tr>
<tr id="row_0_2_4_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_control_law.html" target="_self">ControlLaw</a></td><td class="desc">Base class for control law input must be created by reimplemented class.<br />
output is created by this class, it is of size (nb_out,1) and type float.<br />
see constructor for nb_out </td></tr>
<tr id="row_0_2_5_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_euler_derivative.html" target="_self">EulerDerivative</a></td><td class="desc">Class defining an euler derivative </td></tr>
<tr id="row_0_2_6_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_gx3__25__ahrs.html" target="_self">Gx3_25_ahrs</a></td><td class="desc">Class for 3dmgx3-25 ahrs </td></tr>
<tr id="row_0_2_7_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_joy_reference.html" target="_self">JoyReference</a></td><td class="desc">Class creating references from a joystick </td></tr>
<tr id="row_0_2_8_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_low_pass_filter.html" target="_self">LowPassFilter</a></td><td class="desc">Class defining a first order low pass filter </td></tr>
<tr id="row_0_2_9_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_nested_sat.html" target="_self">NestedSat</a></td><td class="desc">Class defining a PID with saturations </td></tr>
<tr id="row_0_2_10_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_pid.html" target="_self">Pid</a></td><td class="desc">Class defining a PID </td></tr>
<tr id="row_0_2_11_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_pid_thrust.html" target="_self">PidThrust</a></td><td class="desc">Class defining a <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> for Thrust.<br />
This <a class="el" href="classflair_1_1filter_1_1_pid.html" title="Class defining a PID. ">Pid</a> as an extra offset for compensating gravity </td></tr>
<tr id="row_0_2_12_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_simulated_ahrs.html" target="_self">SimulatedAhrs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1filter_1_1_ahrs.html" title="Abstract class for AHRS. ">Ahrs</a> </td></tr>
<tr id="row_0_2_13_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html" target="_self">TrajectoryGenerator1D</a></td><td class="desc">Class generating a trajectory in 1D </td></tr>
<tr id="row_0_2_14_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html" target="_self">TrajectoryGenerator2DCircle</a></td><td class="desc">Class generating a circle trajectory in 2D </td></tr>
<tr id="row_0_2_15_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html" target="_self">UavMultiplex</a></td><td class="desc">Class defining uav multiplexing </td></tr>
<tr id="row_0_2_16_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html" target="_self">X4X8Multiplex</a></td><td class="desc">Class defining X4 and X8 multiplexing </td></tr>
<tr id="row_0_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_3_" class="arrow" onclick="toggleFolder('0_3_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1gui.html" target="_self">gui</a></td><td class="desc">Graphical user interface classes </td></tr>
<tr id="row_0_3_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_box.html" target="_self">Box</a></td><td class="desc">Abstract class to display a box on the ground station </td></tr>
<tr id="row_0_3_1_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_check_box.html" target="_self">CheckBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcheckbox.html">QCheckBox</a> on the ground station </td></tr>
<tr id="row_0_3_2_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_combo_box.html" target="_self">ComboBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcombobox.html">QComboBox</a> on the ground station </td></tr>
<tr id="row_0_3_3_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_data_plot.html" target="_self">DataPlot</a></td><td class="desc">Abstract class to display plots on ground station </td></tr>
<tr id="row_0_3_4_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html" target="_self">DataPlot1D</a></td><td class="desc">Class displaying a 1D plot on the ground station </td></tr>
<tr id="row_0_3_5_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html" target="_self">DataPlot2D</a></td><td class="desc">Class displaying a 2D plot on the ground station </td></tr>
<tr id="row_0_3_6_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_double_spin_box.html" target="_self">DoubleSpinBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> on the ground station </td></tr>
<tr id="row_0_3_7_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_grid_layout.html" target="_self">GridLayout</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgridlayout.html">QGridLayout</a> on the ground station </td></tr>
<tr id="row_0_3_8_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_group_box.html" target="_self">GroupBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station </td></tr>
<tr id="row_0_3_9_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_label.html" target="_self">Label</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlabel.html">QLabel</a> on the ground station </td></tr>
<tr id="row_0_3_10_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_layout.html" target="_self">Layout</a></td><td class="desc">Abstract class to display a layout on the ground station </td></tr>
<tr id="row_0_3_11_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_layout_position.html" target="_self">LayoutPosition</a></td><td class="desc">Class to define a position in a layout on the ground station </td></tr>
<tr id="row_0_3_12_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_list_widget.html" target="_self">ListWidget</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlistwidget.html">QListWidget</a> on the ground station </td></tr>
<tr id="row_0_3_13_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_map.html" target="_self">Map</a></td><td class="desc">Class displaying a GPS map on the ground station </td></tr>
<tr id="row_0_3_14_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_picture.html" target="_self">Picture</a></td><td class="desc">Class displaying a <a class="el" href="classflair_1_1gui_1_1_picture.html" title="Class displaying a Picture on the ground station. ">Picture</a> on the ground station </td></tr>
<tr id="row_0_3_15_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_push_button.html" target="_self">PushButton</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qpushbutton.html">QPushButton</a> on the ground station </td></tr>
<tr id="row_0_3_16_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_range_finder_plot.html" target="_self">RangeFinderPlot</a></td><td class="desc">Class displaying a 2D plot on the ground station for laser range finder like Hokuyo </td></tr>
<tr id="row_0_3_17_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_send_data.html" target="_self">SendData</a></td><td class="desc">Abstract class for sending datas to ground station </td></tr>
<tr id="row_0_3_18_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_spin_box.html" target="_self">SpinBox</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station </td></tr>
<tr id="row_0_3_19_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_tab.html" target="_self">Tab</a></td><td class="desc">Class displaying a QTab on the ground station </td></tr>
<tr id="row_0_3_20_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_tab_widget.html" target="_self">TabWidget</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station </td></tr>
<tr id="row_0_3_21_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_text_edit.html" target="_self">TextEdit</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station </td></tr>
<tr id="row_0_3_22_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_us_sensor_plot.html" target="_self">UsSensorPlot</a></td><td class="desc">Class displaying a plot for raw us sensor </td></tr>
<tr id="row_0_3_23_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_vector3_d_spin_box.html" target="_self">Vector3DSpinBox</a></td><td class="desc">Class displaying 3 <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> for x,y,z on the ground station </td></tr>
<tr id="row_0_3_24_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1gui_1_1_widget.html" target="_self">Widget</a></td><td class="desc">Abstract class for all Framework's widget classes </td></tr>
<tr id="row_0_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_4_" class="arrow" onclick="toggleFolder('0_4_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1meta.html" target="_self">meta</a></td><td class="desc">High level classes </td></tr>
<tr id="row_0_4_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_hds_x8.html" target="_self">HdsX8</a></td><td class="desc">Class defining a HDS X8 uav </td></tr>
<tr id="row_0_4_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_meta_dual_shock3.html" target="_self">MetaDualShock3</a></td><td class="desc">Classe intégrant la manette <a class="el" href="classflair_1_1meta_1_1_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a> </td></tr>
<tr id="row_0_4_2_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_meta_us_range_finder.html" target="_self">MetaUsRangeFinder</a></td><td class="desc">Classe haut niveau pour capteur à ultra son </td></tr>
<tr id="row_0_4_3_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_meta_vrpn_object.html" target="_self">MetaVrpnObject</a></td><td class="desc">Classe haut niveau intégrant un objet VRPN </td></tr>
<tr id="row_0_4_4_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_simu_x4.html" target="_self">SimuX4</a></td><td class="desc">Class defining a simulation x4 uav </td></tr>
<tr id="row_0_4_5_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_simu_x8.html" target="_self">SimuX8</a></td><td class="desc">Class defining a simulation x8 uav </td></tr>
<tr id="row_0_4_6_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_uav.html" target="_self">Uav</a></td><td class="desc">Base class to construct sensors/actuators depending on uav type. The Object is created with the FrameworkManager as parent. FrameworkManager must be created before. Only one instance of this class is allowed by program </td></tr>
<tr id="row_0_4_7_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html" target="_self">UavStateMachine</a></td><td class="desc">State machine for UAV The Thread is created with the FrameworkManager as parent. FrameworkManager must be created before. The Thread is synchronized with Ahrs, unless a period is set with SetPeriodUS or SetPeriodMS </td></tr>
<tr id="row_0_4_8_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1meta_1_1_x_air.html" target="_self">XAir</a></td><td class="desc">Class defining a xair uav </td></tr>
<tr id="row_0_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_5_" class="arrow" onclick="toggleFolder('0_5_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1sensor.html" target="_self">sensor</a></td><td class="desc">Sensor classes </td></tr>
<tr id="row_0_5_0_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_battery_monitor.html" target="_self">BatteryMonitor</a></td><td class="desc">Base class for battery monitor </td></tr>
<tr id="row_0_5_1_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_camera.html" target="_self">Camera</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_camera.html" title="Base class for Camera. ">Camera</a> </td></tr>
<tr id="row_0_5_2_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_emulated_controller.html" target="_self">EmulatedController</a></td><td class="desc">Emulated remote control </td></tr>
<tr id="row_0_5_3_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_flash_led_message.html" target="_self">FlashLedMessage</a></td><td class="desc"></td></tr>
<tr id="row_0_5_4_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_gx3__25__imu.html" target="_self">Gx3_25_imu</a></td><td class="desc">Class for 3dmgx3-25 <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_0_5_5_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html" target="_self">HokuyoUTM30Lx</a></td><td class="desc">Classe intégrant le telemetre laser Hokuyo UTM 30lx </td></tr>
<tr id="row_0_5_6_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_host_eth_controller.html" target="_self">HostEthController</a></td><td class="desc">Base Class for host side remote controls that talks to target side through ethernet connection </td></tr>
<tr id="row_0_5_7_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_imu.html" target="_self">Imu</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_0_5_8_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_laser_range_finder.html" target="_self">LaserRangeFinder</a></td><td class="desc">Classe generique intégrant les telemetres laser </td></tr>
<tr id="row_0_5_9_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_mb800.html" target="_self">Mb800</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
<tr id="row_0_5_10_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_neo_m8_n.html" target="_self">NeoM8N</a></td><td class="desc">Class for mb800 gps receiver </td></tr>
<tr id="row_0_5_11_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_nmea_gps.html" target="_self">NmeaGps</a></td><td class="desc">Base class for GPS using NMEA sentances </td></tr>
<tr id="row_0_5_12_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_novatel.html" target="_self">Novatel</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_novatel.html" title="Class for Novatel gps receiver. ">Novatel</a> gps receiver </td></tr>
<tr id="row_0_5_13_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" target="_self">PressureSensor</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" title="Base class for PressureSensor. ">PressureSensor</a> </td></tr>
<tr id="row_0_5_14_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" target="_self">Ps3Eye</a></td><td class="desc">Class for <a class="el" href="classflair_1_1sensor_1_1_ps3_eye.html" title="Class for Ps3Eye camera. ">Ps3Eye</a> camera </td></tr>
<tr id="row_0_5_15_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_radio_receiver.html" target="_self">RadioReceiver</a></td><td class="desc">Base class for radio receiver </td></tr>
<tr id="row_0_5_16_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_rumble_message.html" target="_self">RumbleMessage</a></td><td class="desc"></td></tr>
<tr id="row_0_5_17_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_sensor_g_l.html" target="_self">SensorGL</a></td><td class="desc"></td></tr>
<tr id="row_0_5_18_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera.html" target="_self">SimuCamera</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_0_5_19_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html" target="_self">SimuCameraGL</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_0_5_20_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_gps.html" target="_self">SimuGps</a></td><td class="desc">Class for a simulation GPS </td></tr>
<tr id="row_0_5_21_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_imu.html" target="_self">SimuImu</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_0_5_22_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser.html" target="_self">SimuLaser</a></td><td class="desc"></td></tr>
<tr id="row_0_5_23_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_laser_g_l.html" target="_self">SimuLaserGL</a></td><td class="desc"></td></tr>
<tr id="row_0_5_24_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_camera.html" target="_self">SimulatedCamera</a></td><td class="desc">Class for a simulation camera </td></tr>
<tr id="row_0_5_25_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_gps.html" target="_self">SimulatedGps</a></td><td class="desc">Class for a simulation GPS </td></tr>
<tr id="row_0_5_26_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_imu.html" target="_self">SimulatedImu</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_imu.html" title="Base class for Imu. ">Imu</a> </td></tr>
<tr id="row_0_5_27_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_laser.html" target="_self">SimulatedLaser</a></td><td class="desc"></td></tr>
<tr id="row_0_5_28_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_pressure_sensor.html" target="_self">SimulatedPressureSensor</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" title="Base class for PressureSensor. ">PressureSensor</a> </td></tr>
<tr id="row_0_5_29_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simulated_us.html" target="_self">SimulatedUs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
<tr id="row_0_5_30_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_pressure_sensor.html" target="_self">SimuPressureSensor</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_pressure_sensor.html" title="Base class for PressureSensor. ">PressureSensor</a> </td></tr>
<tr id="row_0_5_31_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us.html" target="_self">SimuUs</a></td><td class="desc">Class for a simulation <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
<tr id="row_0_5_32_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_simu_us_g_l.html" target="_self">SimuUsGL</a></td><td class="desc">Class for a simulation us </td></tr>
<tr id="row_0_5_33_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_srf08.html" target="_self">Srf08</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
<tr id="row_0_5_34_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_switch_led_message.html" target="_self">SwitchLedMessage</a></td><td class="desc"></td></tr>
<tr id="row_0_5_35_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_controller.html" target="_self">TargetController</a></td><td class="desc">Base Class for target side remote controls </td></tr>
<tr id="row_0_5_36_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_target_eth_controller.html" target="_self">TargetEthController</a></td><td class="desc"></td></tr>
<tr id="row_0_5_37_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" target="_self">UsRangeFinder</a></td><td class="desc">Base class for <a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html" title="Base class for UsRangeFinder. ">UsRangeFinder</a> </td></tr>
<tr id="row_0_5_38_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html" target="_self">V4LCamera</a></td><td class="desc">Base class for V4l camera </td></tr>
<tr id="row_0_5_39_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" target="_self">VrpnClient</a></td><td class="desc">Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent. FrameworkManager must be created before. Only one instance of this class is allowed by program </td></tr>
<tr id="row_0_5_40_" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1sensor_1_1_vrpn_object.html" target="_self">VrpnObject</a></td><td class="desc">Class for VRPN object. The IODevice is created with the <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> as parent. <a class="el" href="classflair_1_1sensor_1_1_vrpn_client.html" title="Class to connect to a Vrpn server. The Thread is created with the FrameworkManager as parent...">VrpnClient</a> must be created before </td></tr>
<tr id="row_0_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_6_" class="arrow" onclick="toggleFolder('0_6_')">&#9658;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespaceflair_1_1simulator.html" target="_self">simulator</a></td><td class="desc">Simulator classes </td></tr>
<tr id="row_0_6_0_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_blade.html" target="_self">Blade</a></td><td class="desc"></td></tr>
<tr id="row_0_6_1_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_castle.html" target="_self">Castle</a></td><td class="desc"></td></tr>
<tr id="row_0_6_2_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_discrete_time_variable.html" target="_self">DiscreteTimeVariable</a></td><td class="desc"></td></tr>
<tr id="row_0_6_3_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_fixed_camera.html" target="_self">FixedCamera</a></td><td class="desc"></td></tr>
<tr id="row_0_6_4_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_gui.html" target="_self">Gui</a></td><td class="desc"></td></tr>
<tr id="row_0_6_5_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_man.html" target="_self">Man</a></td><td class="desc"></td></tr>
<tr id="row_0_6_6_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_mesh_scene_node.html" target="_self">MeshSceneNode</a></td><td class="desc"></td></tr>
<tr id="row_0_6_7_" class="even" style="display:none;"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_6_7_" class="arrow" onclick="toggleFolder('0_6_7_')">&#9658;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_model.html" target="_self">Model</a></td><td class="desc"></td></tr>
<tr id="row_0_6_7_0_" class="even" style="display:none;"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structflair_1_1simulator_1_1_model_1_1simu__state.html" target="_self">simu_state</a></td><td class="desc"></td></tr>
<tr id="row_0_6_8_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_parser.html" target="_self">Parser</a></td><td class="desc"></td></tr>
<tr id="row_0_6_9_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_simulator.html" target="_self">Simulator</a></td><td class="desc"></td></tr>
<tr id="row_0_6_10_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_visualization_camera.html" target="_self">VisualizationCamera</a></td><td class="desc"></td></tr>
<tr id="row_0_6_11_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_x4.html" target="_self">X4</a></td><td class="desc"></td></tr>
<tr id="row_0_6_12_" class="even" style="display:none;"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classflair_1_1simulator_1_1_x8.html" target="_self">X8</a></td><td class="desc"></td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
